Subject: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Leo <[email-masked]>
Date: Sun, 29 May 2011 12:04:36 +0800

On 2011-05-29 07:05 +0800, Chong Yidong wrote:
[snipped 11 lines]
> Looks good.  I've made a couple of tweaks, and have committed it to
> trunk.  The C-c c-c binding was removed in favor of just C-x C-q, as
> Stefan suggested.  For now, I also left out the part where C-x C-q in
> Occur Edit mode saves the associated buffers, because this doesn't seem
> to be properly thought out; what if the buffers have no associated
> files?
>
> Also, I added a small fix to occur-after-change-function to avoid
> screwing up the Occur Edit buffer when multi-line text is inserted.
> Since we can't create new Occur entries, this just ignores everything
> after the inserted newline.  If you want to try and handle this properly
> (i.e. by inserting a new Occur entry for each inserted line), go ahead.

Yidong, many thanks for the tweaks and fixes.

Let's keep this bug open for a bit longer. I am thinking of generalising
occur-edit-mode (probably rename it to match-line-edit) so that it
covers buffers from grep and the like.

Leo